tests.cpp File Reference
`#include <wibble/tests.h>`
`#include <wibble/regexp.h>`
`#include <wibble/sys/fs.h>`
Include dependency graph for tests.cpp:

## Namespaces

| wibble
| wibble::tests

## Functions

void | wibble::tests::test_assert_re_match (WIBBLE_TEST_LOCPRM, const std::string &regexp, const std::string &actual)
void | wibble::tests::test_assert_startswith (WIBBLE_TEST_LOCPRM, const std::string &expected, const std::string &actual)
void | wibble::tests::test_assert_endswith (WIBBLE_TEST_LOCPRM, const std::string &expected, const std::string &actual)
void | wibble::tests::test_assert_contains (WIBBLE_TEST_LOCPRM, const std::string &expected, const std::string &actual)
void | wibble::tests::test_assert_istrue (WIBBLE_TEST_LOCPRM, bool val)
void | wibble::tests::test_assert_file_exists (WIBBLE_TEST_LOCPRM, const std::string &fname)
void | wibble::tests::test_assert_not_file_exists (WIBBLE_TEST_LOCPRM, const std::string &fname)
void | wibble::tests::impl_ensure (const Location &loc, bool res)
void | wibble::tests::impl_ensure_contains (const wibble::tests::Location &loc, const std::string &haystack, const std::string &needle)
void | wibble::tests::impl_ensure_not_contains (const wibble::tests::Location &loc, const std::string &haystack, const std::string &needle)

## Variables

const wibble::tests::Location | wibble_test_location
const wibble::tests::LocationInfo | wibble_test_location_info

## Variable Documentation

const wibble::tests::Location wibble_test_location

const wibble::tests::LocationInfo wibble_test_location_info